import { defHttp } from '/@/utils/http/axios';

import { setParams } from '/@/utils/index';

enum Api {
  recordNumber = '/biz/educationRecord/statusNumber',
  recordList = '/biz/educationRecord/query/page',
  recordDel = '/biz/educationRecord/removeByIds',
  recordAdd = 'biz/educationRecord/add',
}

export const getrecordList = (params?: object) => {
  return defHttp.post({ url: Api.recordList, params: setParams(params) });
};

export const recordDel = (id?: String) => {
  return defHttp.post({ url: Api.recordDel + '/' + id });
};

export const recordNumber = () => {
  return defHttp.get({ url: Api.recordNumber });
};

export const recordAdd = (params?: object) => {
  return defHttp.post({ url: Api.recordAdd, params: params });
};
